import React from 'react';
import { createPortal } from 'react-dom';
import { HelpPopover, Link } from '@gravity-ui/uikit';
import { cn } from '../../../classname';
import { i18n } from '../../../i18n/math-hint';
export const b = cn('MathHint');
const MathHintContent = function MathHintContent() {
    return (React.createElement(React.Fragment, null,
        i18n('math_hint'),
        ' ',
        React.createElement(Link, { href: 'https://katex.org/', target: 'blank' }, i18n('math_hint_katex'))));
};
const MathHint = function MathHint(props) {
    return (React.createElement(HelpPopover, Object.assign({ placement: ['bottom-end', 'top-end'] }, props, { content: React.createElement(MathHintContent, null) })));
};
export function renderMathHint(props, container) {
    return createPortal(React.createElement(MathHint, Object.assign({}, props)), container);
}
